Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Data Fields
proofs::Sparse< Field > Class Template Reference

## Data Structures
struct | corner

## Public Types
using | index_t = size_t

## Public Member Functions
| Sparse (index_t n)
| Sparse (const Sparse &y)=delete
| Sparse (const Sparse &&y)=delete
Sparse | operator= (const Sparse &y)=delete
std::unique_ptr< Sparse > | clone_testing_only () const
T2 | t2_at_corners (index_t *newi, index_t i, const Field &F) const
void | bind (const Elt &r, const Field &F)
void | bind_all (size_t logv, const Elt r[], const Field &F)
void | reshape ()
Elt | scalar ()
void | canonicalize (const Field &F)

## Data Fields
index_t | n_
std::vector< corner > | c_

The documentation for this class was generated from the following file:

- lib/arrays/sparse.h